## legacyresample legacyresample — Resample audio |

## Synopsis

    struct              GstLegacyresample;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstLegacyresample

## Properties

      "filter-length"            gint                  : Read / Write / Construct

## Description

legacyresample resamples raw audio buffers to different sample rates using a configurable windowing function to enhance quality.

### Example launch line

    1
    gst-launch -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! legacyresample ! audio/x-raw-int, rate=8000 ! alsasink

Decode an Ogg/Vorbis downsample to 8Khz and play sound through alsa. To create the Ogg/Vorbis file refer to the documentation of vorbisenc.

Last reviewed on 2006-03-02 (0.10.4)

## Synopsis

### Element Information

plugin | legacyresample
author | David Schleef <ds@schleef.org>
class | Filter/Converter/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)16, depth=(int)16, signed=(boolean)true
| audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)32, depth=(int)32, signed=(boolean)true
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)32
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)64

name | src
direction | source
presence | always
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)16, depth=(int)16, signed=(boolean)true
| audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)32, depth=(int)32, signed=(boolean)true
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)32
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int)1234, width=(int)64

## Details

### struct GstLegacyresample

    struct GstLegacyresample;

Opaque data structure.

## Property Details

### The `"filter-length"` property

      "filter-length"            gint                  : Read / Write / Construct

Length of the resample filter.

Allowed values: >= 0

Default value: 16